cgiwrap_putenv(3)

NAME
cgiwrap_putenv - wrap the putenv call

SYNOPSIS
#include <cgi/cgiwrap.h> NEOERR *cgiwrap_putenv (const char *k, const char *v);

ARGUMENTS
k - the env var name
v - the new value for env var k

DESCRIPTION
cgiwrap_putenv wraps the putenv call. This is mostly used by the cgi_debug_init function to create an artificial environment. This version differs from the system version by having separate arguments for the variable name and value, which makes life easier for the caller (usually), and keeps most wrapping callbacks from having to implement a parser to separate them.

RETURN VALUE
None

SEE ALSO
cgiwrap_iterenv(3), cgiwrap_putenv(3), cgiwrap_init_emu(3), cgiwrap_writef(3), cgiwrap_init_std(3), cgiwrap_writevf(3), cgiwrap_read(3), cgiwrap_write(3), cgiwrap_getenv